summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Ferrone <zapwai@gmail.com>2022-05-04 10:12:05 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-05-07 13:59:33 +0700
commit2b4b99f7f50365d7e896797f3b710206d3985ca4 (patch)
treecae6b57bfae89b3a8babfb82d1660a4e7ee44a3d
parent01c736b3cf20be1e8f5a130c93925e2940f5ea75 (diff)
downloadslackbuilds-2b4b99f7f50365d7e896797f3b710206d3985ca4.tar.gz
slackbuilds-2b4b99f7f50365d7e896797f3b710206d3985ca4.tar.xz
games/wolfmame: Added (A secure fork of MAME)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/wolfmame/README12
-rw-r--r--games/wolfmame/doinst.sh3
-rw-r--r--games/wolfmame/slack-desc19
-rw-r--r--games/wolfmame/wolfmame22
-rw-r--r--games/wolfmame/wolfmame.SlackBuild139
-rw-r--r--games/wolfmame/wolfmame.desktop6
-rw-r--r--games/wolfmame/wolfmame.info10
-rw-r--r--games/wolfmame/wolfmame.pngbin0 -> 8010 bytes
8 files changed, 211 insertions, 0 deletions
diff --git a/games/wolfmame/README b/games/wolfmame/README
new file mode 100644
index 0000000000..4064d6daf1
--- /dev/null
+++ b/games/wolfmame/README
@@ -0,0 +1,12 @@
+WolfMAME is a fork of MAME that does not allow pausing, and has other
+security features which facilitate the recording of achievements in
+arcade games.
+
+Users recorded .inp files will be placed in /opt/wolfmame/inp
+
+use "export MAKEFLAGS=-j4" before building,
+e.g. where 4 = # of cores, to speed up compilation.
+
+Note that ccache is used by default. To turn off ccache support, use:
+
+ USE_CCACHE=no ./wolfmame.SlackBuild
diff --git a/games/wolfmame/doinst.sh b/games/wolfmame/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/wolfmame/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/wolfmame/slack-desc b/games/wolfmame/slack-desc
new file mode 100644
index 0000000000..ddddf3e4ad
--- /dev/null
+++ b/games/wolfmame/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wolfmame: wolfmame (A secure fork of MAME)
+wolfmame:
+wolfmame: WolfMAME is a fork of the MAME project with extra features
+wolfmame: specifically for the recording of high scores, speed runs, etc.
+wolfmame: (e.g. it prevents pausing, and prevents cheating in other ways.)
+wolfmame:
+wolfmame: https://github.com/mahlemiut/wolfmame
+wolfmame:
+wolfmame:
+wolfmame:
+wolfmame:
diff --git a/games/wolfmame/wolfmame b/games/wolfmame/wolfmame
new file mode 100644
index 0000000000..3a38899a52
--- /dev/null
+++ b/games/wolfmame/wolfmame
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Slackware wrapper for the wolfmame mame executable.
+runme(){
+ cd /opt/wolfmame
+ ./mame "$@"
+}
+
+if [ $UID == 0 ]; then
+ read -p "You are currently running as root...\
+ Are you sure you want to proceed? (N/y): " resp
+ case "$resp" in
+ y|yes)
+ runme
+ ;;
+ *)
+ echo Exiting
+ exit 0
+ ;;
+ esac
+else
+ runme $@
+fi
diff --git a/games/wolfmame/wolfmame.SlackBuild b/games/wolfmame/wolfmame.SlackBuild
new file mode 100644
index 0000000000..7968df207d
--- /dev/null
+++ b/games/wolfmame/wolfmame.SlackBuild
@@ -0,0 +1,139 @@
+#!/bin/bash
+
+# Slackware build script for wolfmame
+
+# Copyright 2021 David Ferrone RI, USA
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wolfmame
+VERSION=${VERSION:-0.243}
+WOLFVER=wolf${VERSION#0.}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;; ## Unknown if this builds on a 32bit machine.
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt $OUTPUT
+cd $PKG/opt
+# Rename the output directory name as it's extracted.
+tar xvf $CWD/$PRGNAM-$WOLFVER.tar.gz --xform="s/^$PRGNAM-$WOLFVER/$PRGNAM/"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd $PKG/opt/$PRGNAM
+
+# The following and make options are from mame slackbuild
+# Use ccache by default - massively cuts down on rebuild time
+# Tun off with USE_CCACHE=no
+export CCACHE_SLOPPINESS=pch_defines,time_macros,include_file_mtime,include_file_ctime
+
+if [ "${USE_CCACHE:-yes}" = "yes" ]; then
+ CC="/usr/bin/ccache /usr/bin/clang"
+ CXX="/usr/bin/ccache /usr/bin/clang++"
+else
+ CC="${CC:-$( which gcc )}"
+ CXX="${CXX:-$( which g++ )}"
+fi
+
+# See top of makefile for full list of options
+make \
+ USE_SYSTEM_LIB_EXPAT=1 \
+ USE_SYSTEM_LIB_ZLIB=1 \
+ USE_SYSTEM_LIB_JPEG=1 \
+ USE_SYSTEM_LIB_FLAC=1 \
+ PYTHON_EXECUTABLE="/usr/bin/python3 -S" \
+ OPT_FLAGS="$SLKCFLAGS" \
+ LDOPTS="-fuse-ld=gold" \
+ OVERRIDE_CC="$CC" \
+ OVERRIDE_CXX="$CXX" \
+ CC="$CC" \
+ CXX="$CXX" \
+ PRECOMPILE=1 \
+ VERBOSE=1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Make directory for recording .inp files (if errors try -m 777)
+install -d -o games -g users -m g+rwx inp
+
+# Install wrapper script and .desktop files
+install -D -m 0755 $CWD/$PRGNAM -t $PKG/usr/bin/
+install -D -m 0644 $CWD/$PRGNAM.desktop -t $PKG/usr/share/applications/
+install -D -m 0644 $CWD/$PRGNAM.png -t $PKG/usr/share/pixmaps/
+
+# Install man pages and gzip
+install -D -m 0644 docs/man/*.1 -t $PKG/usr/man/man1/
+install -D -m 0644 docs/man/*.6 -t $PKG/usr/man/man6/
+gzip -9 $PKG/usr/man/man*/*.{1,6}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING wolfmame.txt docs/LICENSE docs/README.md docs/CONTRIBUTING.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/wolfmame/wolfmame.desktop b/games/wolfmame/wolfmame.desktop
new file mode 100644
index 0000000000..a2ee8032a5
--- /dev/null
+++ b/games/wolfmame/wolfmame.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Type=Application
+Terminal=false
+Exec=/usr/bin/wolfmame
+Name=WolfMAME
+Icon=wolfmame
diff --git a/games/wolfmame/wolfmame.info b/games/wolfmame/wolfmame.info
new file mode 100644
index 0000000000..78c97f8782
--- /dev/null
+++ b/games/wolfmame/wolfmame.info
@@ -0,0 +1,10 @@
+PRGNAM="wolfmame"
+VERSION="0.243"
+HOMEPAGE="https://github.com/mahlemiut/wolfmame/releases/latest"
+DOWNLOAD="https://github.com/mahlemiut/wolfmame/archive/wolf243/wolfmame-wolf243.tar.gz"
+MD5SUM="c77a1b84ba7cbd234a2bcdbacb241ce1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Ferrone"
+EMAIL="zapwai@gmail.com"
diff --git a/games/wolfmame/wolfmame.png b/games/wolfmame/wolfmame.png
new file mode 100644
index 0000000000..d8e20f2b36
--- /dev/null
+++ b/games/wolfmame/wolfmame.png
Binary files differ